Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007544opensim[REGION] Physics Enginespublic2015-04-26 10:432015-08-13 10:40
Reporterdjphil 
Assigned Todjphil 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindowsOS VersionSeven
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0007544: [BULLETSIM LINKSET COMPOUND] Linkset rebuild warning
DescriptionAfter a momeny, BulletSim crash when i rez physics meshs fireworks.

05:44:06 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happen
s more than one or two times, please report in Mantis 7191
05:44:06 - [BULLETSIM LINKSET COMPOUND]: pName=firework/441d989b-5f6a-4838-86de-
5ca046699237, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=False>,c=1
>
05:46:45 - [WATCHDOG]: 8610 ms since Watchdog last ran. Interval should be appr
oximately 2500 ms
05:46:45 - [WATCHDOG]: Timeout detected for thread "Maintenance (DigiZone04)". T
hreadState=WaitSleepJoin. Last tick was 7750ms ago.
05:46:45 - [WATCHDOG]: Timeout detected for thread "Maintenance (DigiZone07)". T
hreadState=WaitSleepJoin. Last tick was 7765ms ago.
05:46:45 - [WATCHDOG]: Timeout detected for thread "Maintenance (DigiZone02)". T
hreadState=WaitSleepJoin. Last tick was 7765ms ago.
05:46:45 - [WATCHDOG]: Timeout detected for thread "AsyncLSLCmdHandlerThread". T
hreadState=Background. Last tick was 7250ms ago.


If you insist and continue rez, after a while you get alot of timeout on the console

http://pastebin.com/JNhanvPJ [^]

And the viewer completely freezes for several seconds repeatedly.


So when you try to close the opensim console ("quit")

04:58:52 - [XEngine]: Shutting down 64 scripts in DigiZone01
04:58:52 - [SCENE]: Closing down the single simulator: DigiZone07
04:58:52 - [WATCHDOG]: Removing thread Heartbeat-(DigiZone07), ID 132

Exception non gérée : System.AccessViolationException: Tentative de lecture ou d
'écriture de mémoire protégée. Cela indique souvent qu'une autre mémoire est end
ommagée.
   à OpenSim.Region.Physics.BulletSPlugin.BSAPIUnman.BSAPICPP.PhysicsStep2(IntPt
r world, Single timeStep, Int32 maxSubSteps, Single fixedTimeStep, Int32& update
dEntityCount, Int32& collidersCount)
   à OpenSim.Region.Physics.BulletSPlugin.BSAPIUnman.PhysicsStep(BulletWorld wor
ld, Single timeStep, Int32 maxSubSteps, Single fixedTimeStep, Int32& updatedEnti
tyCount, Int32& collidersCount) dans k:\OSGRID\opensim-e855c8e\OpenSim\Region\Ph
ysics\BulletSPlugin\BSAPIUnman.cs:ligne 208
   à OpenSim.Region.Physics.BulletSPlugin.BSScene.DoPhysicsStep(Single timeStep)
 dans k:\OSGRID\opensim-e855c8e\OpenSim\Region\Physics\BulletSPlugin\BSScene.cs:
ligne 636
   à OpenSim.Region.Physics.BulletSPlugin.BSScene.BulletSPluginPhysicsThread() d
ans k:\OSGRID\opensim-e855c8e\OpenSim\Region\Physics\BulletSPlugin\BSScene.cs:li
gne 854
   à System.Threading.ThreadHelper.ThreadStart_Context(Object state)
   à System.Threading.ExecutionContext.RunInternal(ExecutionContext executionCon
text, ContextCallback callback, Object state, Boolean preserveSyncCtx)
   à System.Threading.ExecutionContext.Run(ExecutionContext executionContext, Co
ntextCallback callback, Object state, Boolean preserveSyncCtx)
   à System.Threading.ExecutionContext.Run(ExecutionContext executionContext, Co
ntextCallback callback, Object state)
   à System.Threading.ThreadHelper.ThreadStart()

and the console freezes and crash!
Additional InformationOSgrid 0.8.2.0 (Dev) e855c8e: 2015-04-20
git hash : e855c8e7118823808f6af89f878f81858fbf35c6
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script Engine
Environment.NET / Windows32
Mono VersionNone
ViewerFirestorm
Attached Filesjpg file icon 2015-05-05_20-55-42.jpg [^] (244,951 bytes) 2015-05-05 12:08

- Relationships
related to 0007191closedRobert Adams [BULLETSIM] exception with linkset on startup 

-  Notes
(0028216)
djphil (reporter)
2015-05-05 10:18
edited on: 2015-05-05 10:24

and now with another object (physic animated mesh with move2target and lookat).

19:15:26 - [SCENE]: Loaded 35 objects from the datastore
19:15:26 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happen
s more than one or two times, please report in Mantis 7191
19:15:26 - [BULLETSIM LINKSET COMPOUND]: pName=Look@Robot v0.1/181e1251-1f80-4e7
4-9d7b-22bf2c6b5998, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=Fal
se>,c=1>
19:15:26 - [BULLETSIM LINKSET COMPOUND]: Linkset rebuild warning. If this happen
s more than one or two times, please report in Mantis 7191
19:15:26 - [BULLETSIM LINKSET COMPOUND]: pName=Look@Robot v0.1/5855abe7-5c2e-4dd
2-82e4-bd9c44912146, childIdx=1, shape=<phy=<p=unknown,s=SHAPE_UNKNOWN,k=0,n=Fal
se>,c=1>
19:15:27 - [USER MANAGEMENT MODULE]: Caching creators' data from DigiZone04 (35
objects)...

Can you give me a little explanation about this bug?

(0028220)
djphil (reporter)
2015-05-05 12:08
edited on: 2015-05-05 12:11

What is amazing is that, then I restart my simulator, and 3 objects have disappeared from the region.

I restart the server a second time and I note that the 3 objects are still missing.

The objects thus seem permanently lost!

However, every time that i turn off my simulator, it crash (see screenshot) and every time i start my simulator, i have the warring message about these 3 items.

(0029154)
djphil (reporter)
2015-08-13 10:40

Resolved in 0007191

- Issue History
Date Modified Username Field Change
2015-04-26 10:43 djphil New Issue
2015-04-26 10:45 djphil Viewer F => Firestorm
2015-04-26 10:45 djphil Product Version => master (dev code)
2015-04-26 10:45 djphil Additional Information Updated View Revisions
2015-05-05 10:18 djphil Note Added: 0028216
2015-05-05 10:24 djphil Note Edited: 0028216 View Revisions
2015-05-05 12:08 djphil File Added: 2015-05-05_20-55-42.jpg
2015-05-05 12:08 djphil Note Added: 0028220
2015-05-05 12:09 djphil Note Edited: 0028220 View Revisions
2015-05-05 12:11 djphil Note Edited: 0028220 View Revisions
2015-05-05 13:31 Mata Hari Relationship added related to 0007191
2015-08-13 10:40 djphil Status new => resolved
2015-08-13 10:40 djphil Resolution open => fixed
2015-08-13 10:40 djphil Assigned To => djphil
2015-08-13 10:40 djphil Note Added: 0029154
2015-08-13 10:40 djphil Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker